DRUO
Get started
Payments

List Payments

GEThttps://api.druo.com/payments/list

Retrieve a paginated list of all payments belonging to the merchant.

This endpoint returns a list of payment objects. It supports advanced filtering and search capabilities using query parameters.

Query parameters

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The unique identifier of the transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The unique transaction code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
tenant.uuidstringoptional

The unique identifier of the tenant that originated the transaction.

Example: ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20
typestringoptional

The type of transaction.

Example: PAYMENT
creation_sourcestringoptional

The platform or source where the transaction was created.

Example: MERCHANT_PORTAL
amountintegeroptional

The transaction amount, in the smallest denomination of the specified currency (e.g., cents for USD). For example, $100.00 USD is represented as 10000.

Example: 10000
variable_feeintegeroptional

The variable fee amount charged for this transaction.

Example: 300
fixed_feeintegeroptional

The fixed fee amount charged for this transaction.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (amount minus total_fee) to be settled for this transaction.

Example: 9600
currency.codestringoptional

The three-letter currency code in ISO 4217 format.

Example: USD
descriptionstringoptional

The description of this transaction, which may be visible to end users on receipts.

Example: Insurance policy renewal - INV12324
remarksstringoptional

Internal merchant remarks associated with the transaction.

Example: REQUESTED_BY_MERCHANT
funding_source.uuidstringoptional

The unique identifier of the account used to fund this transaction.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
statement_descriptorstringoptional

The billing descriptor reported to financial institutions to appear on the customer's bank statement. Must contain at least one letter and be between 4 and 22 characters.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

An optional primary ID associated with the transaction for mapping to internal database records. Maximum of 40 characters.

Example: ABC123
secondary_referencestringoptional

An optional secondary ID associated with the transaction for mapping to internal database records. Maximum of 40 characters.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of up to 50 key-value pairs attached to the transaction. Key names can be up to 40 characters long and values up to 500 characters long.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why a transaction was declined, if applicable.

Example: INSUFFICIENT_FUNDS
auto_send_receiptbooleanoptional

If true, a receipt is automatically generated and sent to the preferred receipt method.

Example: false
due_datestringoptional

The due date of the transaction.

Example: 2021-11-15
date_created_gmtstringoptional

The GMT timestamp indicating when the transaction was created.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The GMT timestamp indicating when the transaction was last updated.

Example: 2021-11-15T23:23:38

Information on any corresponding transactions created for additional split-payment recipients.

Example: [{"tenant_id": "ten_82121783-2f4b-4f62-ad45-a32fbe4e86e7", "amount": "1000", "description": "Payout split by percentage", "uuid": "trx_d9c67ff8-8739-462a-9b6b-932d3805e2b3"}]
NextPUTRefund Payment